org.eclipse.microprofile.rest.client.spi

## Class RestClientBuilder1Resolver

- java.lang.Object
- - org.eclipse.microprofile.rest.client.spi.RestClientBuilderResolver
  - - org.eclipse.microprofile.rest.client.spi.RestClientBuilder1Resolver

    public class RestClientBuilder1Resolver
    extends org.eclipse.microprofile.rest.client.spi.RestClientBuilderResolver

A resolver that always picks BuilderImpl1 builder

Author:
  Ondrej Mihalyi

### Constructor Summary

Constructors
Constructor and Description
`RestClientBuilder1Resolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.microprofile.rest.client.RestClientBuilder` `newBuilder()`

### Methods inherited from class org.eclipse.microprofile.rest.client.spi.RestClientBuilderResolver

`instance, setInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RestClientBuilder1Resolver

    public RestClientBuilder1Resolver()

### Method Detail

#### newBuilder

    public org.eclipse.microprofile.rest.client.RestClientBuilder newBuilder()

Specified by:
  `newBuilder` in class `org.eclipse.microprofile.rest.client.spi.RestClientBuilderResolver`